org.apache.commons.math.distribution

## Interface PascalDistribution

- All Superinterfaces:
    DiscreteDistribution, Distribution, IntegerDistribution
  All Known Implementing Classes:
    PascalDistributionImpl

      public interface PascalDistribution
      extends IntegerDistribution

  The Pascal distribution. The Pascal distribution is a special case of the Negative Binomial distribution where the number of successes parameter is an integer. There are various ways to express the probability mass and distribution functions for the Pascal distribution. The convention employed by the library is to express these functions in terms of the number of failures in a Bernoulli experiment [2].

  References:

  1. Negative Binomial Distribution
  Waiting Time in a Bernoulli Process

Since:
  1.2
Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfSuccesses()` Access the number of successes for this distribution.
    `double` | `getProbabilityOfSuccess()` Access the probability of success for this distribution.
    `void` | `setNumberOfSuccesses(int successes)` Deprecated. as of v2.1
    `void` | `setProbabilityOfSuccess(double p)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution

      `cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution

      `probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### getNumberOfSuccesses

          int getNumberOfSuccesses()

      Access the number of successes for this distribution.
      Returns:
        the number of successes

    - #### getProbabilityOfSuccess

          double getProbabilityOfSuccess()

      Access the probability of success for this distribution.
      Returns:
        the probability of success

    - #### setNumberOfSuccesses

          @Deprecated
          void setNumberOfSuccesses(int successes)

      Deprecated. as of v2.1
      Change the number of successes for this distribution.
      Parameters:
        `successes` - the new number of successes

    - #### setProbabilityOfSuccess

          @Deprecated
          void setProbabilityOfSuccess(double p)

      Deprecated. as of v2.1
      Change the probability of success for this distribution.
      Parameters:
        `p` - the new probability of success

Copyright (c) 2003-2013 Apache Software Foundation